- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions | Related Functions
ConstYMap< M > Class Template Reference
Geometric Data Structures

## Detailed Description

### template<class M>
class lemon::dim2::ConstYMap< M >

Constant (read only) version of YMap.

`#include <lemon/dim2.h>`

## Public Member Functions
| ConstYMap (const M &map)

## Related Functions
(Note that these are not member functions.)
template<class M >
ConstYMap< M > | yMap (const M &m)
| Returns a ConstYMap class. More...